/**
 * \file    sys_gpio.h
 * \brief   
 * 
 * \par     Copyright (c) 2018 UWE Technologies Corp., Ltd. All Rights Reserved.
 * \author  James
 * \date    2018-03-20
 * \version 
 * 
 * \history 
 *  Date        Note
 *  2018-03-20  Original Creation
 * 
 */
 
#ifndef __SYS_GPIO_H_
#define __SYS_GPIO_H_

#include "drv_gpio.h"


/** \brief System GPIO initialization
 *
 */
void sys_gpio_init(void);


#define sys_gpio_power_down_detect()
#define sys_gpio_power_down_set(en)

#define sys_gpio_vbus_source_en_get()       drv_gpio_val_get(30)
#define sys_gpio_vbus_source_en_set(flg)    drv_gpio_val_set(30,flg)

#define sys_gpio_vconn1_set(en)             drv_gpio_val_set(0,en)
#define sys_gpio_vconn2_set(en)             drv_gpio_val_set(1,en)
#define sys_gpio_vconn1_get()               drv_gpio_val_get(0)
#define sys_gpio_vconn2_get()               drv_gpio_val_get(1)

void sys_gpio_uart0_enable_set(bool_t en);
void sys_gpio_uart1_enable_set(bool_t en);

/** GPIO in capture sample codes */
void sys_gpio_in_capture_handler_init();
void sys_gpio_in_capture0_isr(u32_t arg);
void sys_gpio_in_capture1_isr(u32_t arg);

#endif /* #ifndef __SYS_GPIO_H_ */




